package com.alibaba.druid.sql.dialect.mariadb.ast.statement;

import com.alibaba.druid.sql.ast.SQLName;
import com.alibaba.druid.sql.dialect.mariadb.visitor.MariadbASTVisitor;

public class MariadbFlashbackStatement extends MariadbStatementImpl {
   private SQLName name;
   private SQLName renameTo;

   public void accept0(MariadbASTVisitor visitor) {
      if (visitor.visit(this)) {
         this.acceptChild(visitor, this.name);
         this.acceptChild(visitor, this.renameTo);
      }

      visitor.endVisit(this);
   }

   public SQLName getName() {
      return this.name;
   }

   public void setName(SQLName x) {
      if (x != null) {
         x.setParent(this);
      }

      this.name = x;
   }

   public SQLName getRenameTo() {
      return this.renameTo;
   }

   public void setRenameTo(SQLName x) {
      if (x != null) {
         x.setParent(this);
      }

      this.renameTo = x;
   }
}
